Bug 141182 - Perl SRPM breaks installed perl
Perl SRPM breaks installed perl
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Chip Turner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-29 14:59 EST by Aaron Sherman
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-27 02:42:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aaron Sherman 2004-11-29 14:59:33 EST
Description of problem:

The SRPM, perl-5.8.5-9.src.rpm, runs the Configure script with the
-Dinstallusrbinperl option. This is either redundant or dangerous
depending on how the SRPM is used. For example, if someone changes
%{_prefix} in order to relocate the Perl install, this will cause the
building of the SRPM to remove /usr/bin/perl and replace it with a
symlink into the build root tree!

The corect value would be -Dinstallusrbinperl=n

Version-Release number of selected component (if applicable):

5.8.5-9

How reproducible:

always

Steps to Reproduce:
1. na
2. na
3. na
  
Actual results:

broken perl

Expected results:

rpm build

Additional info:
Comment 1 Warren Togami 2005-04-25 20:52:07 EDT
Relocations are unsupported and discouraged in our distribution.  And you
shouldn't be building packages as root.  In any case this may be a good idea to
add.  ping Ville or jpo
Comment 2 Ville Skyttä 2005-04-26 10:42:00 EDT
Skimmed "Configure" and "installperl", and -Dinstallusrbinperl=n makes sense to
me, assuming it will not affect the build otherwise (untested).
Comment 3 Aaron Sherman 2005-04-26 11:06:12 EDT
(In reply to comment #1)
> Relocations are unsupported and discouraged in our distribution.  And you
> shouldn't be building packages as root.  In any case this may be a good idea to
> add.

Sorry I didn't get back to this earlier.

I understand, but there's no good reason that "rpmbuild -ba x.spec" should ever
write to /usr/bin... that's simply wrong. If you did NOT build this as root,
then the build would fail, and that's probably not what you wanted either ;-)

As for relocations... I understand not supporting the end-result, and there are
problems further down the line, which I would not submit bugs for for exactly
this reason. It's simply not your problem at that point. However, if you're
going to provide a %{_prefix} variable, its use should probably not break the
existing system....

Ville, thanks for looking at this, and verifying that the change makes sense.
Comment 4 Warren Togami 2005-04-27 02:42:26 EDT
Built into perl-5.8.6-8

Note You need to log in before you can comment on or make changes to this bug.